POKE_DHCP(1)

NAME
poke_ns - restarts a running DHCP server

SYNOPSIS
poke_dhcp poke_dhcp [ restart | reload | debug | nodebug | dump | terminate ]

DESCRIPTION

poke_ns sends process control signals to a running bind nameserver. Without any options poke-ns emits a help message.

OPTIONS

restart:
    Terminates the running nameserver by the sending the TERM signal and restarts the nameserver.

reload:
    Send the HUP signal to the running nameserver which instructs it to reload all its zone files.

debug:
    Sends the USR1 signal to the nameserver which causes it to write debugging output to the named_run file. The named_run file is created in the /var/tmp directory with a version 4 nameserver or in current directory with a version 8 nameserver. Sending another USR1 signal increases the level of debugging output.

nodebug:
    Turn off debugging output by sending the SIGUSR2 signal to the running nameserver.

dump:
    Sends the INT signal which causes the nameserver to dump a copy of its internal database files to the named_dump.db file.

terminate:
    Sends the TERM signal which causes the running nameserver to terminate.

Configuration File

poke_ns uses a simple environment file which sets various default parameters. Parameters are set using a parameter=value syntax. The environment file is normally located in /usr/local/etc/poke_ns.env. Parameters settable in this file are:

DB_DUMP:
    Pathname of the database dump file. DEBUG: Pathname of the debug output file.

NAMED:
    Pathname of the nameserver executable to use when restarting the server.

PIDFILE:
    Pathname of the file which contains the process id of the running nameserver.

The environment file is checked to be sure it is only writable by root, since poke_ns is normally setuid root and only executable by a group responsible for nameserver maintenance.

SEE ALSO

gendns(1), genstatic(1), updatehosts(1)